Skip to main content

Load Balancer Status

Lightweight status endpoint used to poll the lifecycle state of a load balancer (for example after create, upgrade, or power actions). Returns the id, name, and status (such as Creating, Running, Powered off) plus a data_monitor object. Pass the id query parameter to scope the response to a single load balancer.

GET/api/v1/appliances/status/

Query parameters

  • idQuerystringoptional

    Load balancer (appliance) ID to fetch status for. Omit to list status for all load balancers in the project.

    • optional
    • must be a valid load balancer ID
    example{{lb_id}}
  • page_noQueryintegeroptional

    1-based page number to retrieve.

    • optional
    • positive integer
    example1
  • per_pageQueryintegeroptional

    Number of records to return per page.

    • optional
    • positive integer
    example5
  • advance_search_stringQuerybooleanoptional

    Reserved search flag used by the console.

    • optional
    • boolean
    exampletrue
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region to filter by.

    • must be a non-empty string
    example{{location}}

Responses

200Successful response
object
codeinteger
example200
dataarray
errorsobject
messagestring
exampleSuccess
total_page_numberinteger
example1
total_countinteger
example1